Skip to content
Start here

Get dispatch namespace

client.workersForPlatforms.dispatch.namespaces.get(stringdispatchNamespace, NamespaceGetParams { account_id } params, RequestOptionsoptions?): NamespaceGetResponse { created_by, created_on, modified_by, 5 more }
GET/accounts/{account_id}/workers/dispatch/namespaces/{dispatch_namespace}

Get a Workers for Platforms namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
dispatchNamespace: string

Name of the Workers for Platforms dispatch namespace.

params: NamespaceGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
NamespaceGetResponse { created_by, created_on, modified_by, 5 more }
created_by?: string

Identifier.

maxLength32
created_on?: string

When the script was created.

formatdate-time
modified_by?: string

Identifier.

maxLength32
modified_on?: string

When the script was last modified.

formatdate-time
namespace_id?: string

API Resource UUID tag.

maxLength36
namespace_name?: string

Name of the Workers for Platforms dispatch namespace.

script_count?: number

The current number of scripts in this Dispatch Namespace.

trusted_workers?: boolean

Whether the Workers in the namespace are executed in a “trusted” manner. When a Worker is trusted, it has access to the shared caches for the zone in the Cache API, and has access to the request.cf object on incoming Requests. When a Worker is untrusted, caches are not shared across the zone, and request.cf is undefined. By default, Workers in a namespace are “untrusted”.

Get dispatch namespace

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const namespace = await client.workersForPlatforms.dispatch.namespaces.get(
  'my-dispatch-namespace',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(namespace.namespace_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2017-01-01T00:00:00Z",
    "modified_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "modified_on": "2017-01-01T00:00:00Z",
    "namespace_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "namespace_name": "my-dispatch-namespace",
    "script_count": 800,
    "trusted_workers": false
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2017-01-01T00:00:00Z",
    "modified_by": "023e105f4ecef8ad9ca31a8372d0c353",
    "modified_on": "2017-01-01T00:00:00Z",
    "namespace_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "namespace_name": "my-dispatch-namespace",
    "script_count": 800,
    "trusted_workers": false
  }
}